지원되는 Go 버전

컬렉션을 사용해 정리하기 내 환경설정을 기준으로 콘텐츠를 저장하고 분류하세요.

Go용 Cloud 클라이언트 라이브러리는 최신 Go 버전 3개 이상과 호환되며 App Engine 및 Cloud Functions용 GA 런타임 1개 이상과 호환됩니다. 즉, Go용 Cloud 클라이언트 라이브러리는 현재 지원되는 모든 Go 출시 버전과 하나 이상의 추가 출시 버전과 호환됩니다. 예를 들어 현재 Go 출시 버전이 Go 1.19인 경우 Cloud 클라이언트 라이브러리는 최소한 Go 1.19, Go 1.18, Go 1.17과 호환됩니다. Cloud 클라이언트 라이브러리에 대한 자세한 내용은 클라이언트 라이브러리 설명을 참조하세요.

신규 개발

새 프로젝트를 시작할 때는 가능하면 Go의 현재 출시 버전을 선택하는 것이 좋습니다. 이렇게 하면 런타임이 지원되는 Go 출시 버전 내에 있으며 중요한 보안 패치를 받을 수 있습니다.

프로덕션 시스템을 최신 상태로 유지

중요한 보안 및 버그 수정이 적용되도록 보장하기 위해서는 프로덕션 시스템을 지원되는 Go 런타임에 유지하는 것이 가장 좋습니다. Go 클라우드 클라이언트 라이브러리는 이전 Go 런타임 버전과의 호환성을 낮추면 부 버전을 증가시킵니다. 주 버전 및 부 버전 사용에 대한 자세한 내용은 시맨틱 버전 관리를 참조하세요.

버전 정보 확인 위치

현재 지원되는 Go 버전을 확인하려면 google-cloud-go 리드미를 참조하세요.